Major Web Browsers Removing Support for TLS 1.0/1.1

book

Article ID: 195935

calendar_today

Updated On:

Products

Clarity PPM On Premise

Issue/Introduction

Major web browsers, such as Google Chrome, Mozilla Firefox, Microsoft Edge (based in Chromium) and Apple Safari, have disabled or will be soon disabling support for connections using TLS 1.0 and TLS 1.1.

Cause

This is not a Clarity issue but a browser vendor decision to disable support for TLS 1.0 and 1.1 protocols.

Depending on the vendor, this change has happened / will happen during 2020.

Resolution

Clarity supports TLS 1.2 but older and unsupported releases may still be using older versions of TLS/SSL.

Please upgrade your Clarity release to the latest Generally Available release.

Additional Information

Google: https://security.googleblog.com/2018/10/modernizing-transport-security.html

Mozilla: https://blog.mozilla.org/security/2018/10/15/removing-old-versions-of-tls/

Microsoft: https://webkit.org/blog/8462/deprecation-of-legacy-tls-1-0-and-1-1-versions/

Apple: https://webkit.org/blog/8462/deprecation-of-legacy-tls-1-0-and-1-1-versions/